import React from "react";
export declare class ElementFactory<P extends {}> {
    component: React.FunctionComponent<P>;
    props: P;
    constructor(component: React.FunctionComponent<P>, props: P);
    create(): React.FunctionComponentElement<P>;
}
